# -*- coding: utf-8 -*-
# Generated by Django 1.11.4 on 2018-11-10 07:33
from __future__ import unicode_literals

from django.db import migrations


def populate_submitted_to_from_submitted_to_journal(apps, schema_editor):
    Journal = apps.get_model('journals', 'Journal')
    Submission = apps.get_model('submissions', 'Submission')

    for journal in Journal.objects.all():
        Submission.objects.filter(submitted_to_journal=journal.name).update(
            submitted_to=journal)



class Migration(migrations.Migration):

    dependencies = [
        ('submissions', '0041_submission_submitted_to'),
    ]

    operations = [
        migrations.RunPython(populate_submitted_to_from_submitted_to_journal,
                             reverse_code=migrations.RunPython.noop),
    ]
